Developers
API referenceReferenceContacts

Contacts - List

List contacts for the selected business. Supports search and filters such as invoicing-enabled, exact name, and excluded contact ID. Use `contact_business_id` for deterministic lookup when the identifier is known.

GET
/v1/business/{business_slug}/contacts/

Path Parameters

business_slug*string

Business slug that scopes this request. If you do not have one yet, call common_accessible_businesses_list and pick a slug from the response.

Query Parameters

contact_business_id?string

Filter contacts by exact business contact ID (asiakastunnus). Use this when the identifier is known.

exclude_id?integer

Exclude contact by ID.

is_invoicing_enabled?boolean

Filter contacts by whether they have invoicing enabled.

name_iexact?string

Filter contacts by exact name match (case insensitive).

page?integer

A page number within the paginated result set.

page_size?integer

Number of results to return per page.

search?string

A search term.

The following fields are searched:

fieldmatch mode
namecontains
contact_business_idprefix
name_aliasescontains

Response Body

application/json

curl -X GET "https://example.com/v1/business/string/contacts/"
{  "count": 123,  "next": 2,  "prev": 1,  "size": 30,  "results": [    {      "id": 0,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "customer_id": "string",      "type": "UNSET",      "name": "string",      "name_aliases": [        "string"      ],      "contact_business_id": "string",      "xrechnung_buyer_reference": "string",      "notes": "string",      "phone_number": "string",      "is_invoicing_enabled": true,      "invoicing_email": "user@example.com",      "invoicing_electronic_address": "string",      "invoicing_electronic_address_scheme": "string",      "invoicing_einvoice_address": "string",      "invoicing_einvoice_operator": "string",      "invoicing_tax_code": "string",      "invoicing_street": "string",      "invoicing_city": "string",      "invoicing_postal_code": "string",      "invoicing_country": "st",      "invoicing_language": "fi",      "buyer_postal_address_details_xml_override": "string",      "can_be_invoiced": true,      "can_be_invoiced_via_email": true,      "can_be_invoiced_via_einvoice": true    }  ]}